Bug 1316119 - headphones don't work, but speakers do
Summary: headphones don't work, but speakers do
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-09 13:10 UTC by Josh Cogliati
Modified: 2020-09-25 21:21 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:35:20 UTC
Type: Bug


Attachments (Terms of Use)
Working alsa-info (76.64 KB, text/plain)
2016-03-09 13:10 UTC, Josh Cogliati
no flags Details
broken alsa-info (no sound) (76.59 KB, text/plain)
2016-03-09 13:10 UTC, Josh Cogliati
no flags Details
Still not working alsa info (76.59 KB, text/plain)
2016-03-15 13:32 UTC, Josh Cogliati
no flags Details
Alsa with headphones unplugged (77.10 KB, text/plain)
2016-06-03 13:31 UTC, Josh Cogliati
no flags Details
Alsa with headphones plugged in (77.10 KB, text/plain)
2016-06-03 13:32 UTC, Josh Cogliati
no flags Details
Chetan Khilosiya alsa-info.txt (31.17 KB, text/plain)
2020-08-28 17:35 UTC, chetan
no flags Details

Description Josh Cogliati 2016-03-09 13:10:23 UTC
Created attachment 1134528 [details]
Working alsa-info

Description of problem:
The headphone jack does not produce sound.  But the speakers do on a Mac cylinder.

Version-Release number of selected component (if applicable):
kernel-4.3.5-300.fc23.x86_64 - works
kernel-4.4.2-301.fc23.x86_64 - broken
kernel-4.4.3-300.fc23.x86_64 - broken

How reproducible:
Very.

Steps to Reproduce:
1. try and get sound to work on newer kernels.

Actual results:
No sound if using headphone jack. (However if I switch the output to the internal speakers, it works.)

Expected results:
Sound.

Additional info:
None of the kernel think that the headphones are plugged in.

Comment 1 Josh Cogliati 2016-03-09 13:10:58 UTC
Created attachment 1134529 [details]
broken alsa-info (no sound)

Comment 2 Laura Abbott 2016-03-10 18:21:37 UTC
There was one  commit which looked like it could cause a regression, can you test http://koji.fedoraproject.org/koji/taskinfo?taskID=13299587 when it finishes? If not, this needs to be reported to the upstream ALSA maintainer

Comment 3 Josh Cogliati 2016-03-15 13:32:20 UTC
Created attachment 1136602 [details]
Still not working alsa info

I installed the following packages:
kernel-4.4.5-300.macprorevert.fc23.x86_64.rpm
kernel-core-4.4.5-300.macprorevert.fc23.x86_64.rpm
kernel-modules-4.4.5-300.macprorevert.fc23.x86_64.rpm
kernel-modules-extra-4.4.5-300.macprorevert.fc23.x86_64.rpm

The sound still does not work from the headphone jack.

Comment 4 Laura Abbott 2016-03-15 20:09:39 UTC
I asked the upstream maintainer and this was his response:

"
The obvious difference is the power state of each node.  The recent
kernel has the finer power saving mode, and this might be the cause --
Mac has some secret that requires some node to be powered up.

Try to power on each node via hda-verb.  For example, to power up the
node 0x05, run like:
  hda-verb /dev/snd/hwC0D0 0x05 SET_POWER 0x00

And check whether it makes any difference.
Similarly, try for nodes 0x06, 0x08, 0x09, 0x0a, 0x0b, 0x0c, 0x0d,
0x0f, 0x10, 0x11, 0x14, 0x15, 0x16, 0x17, 0x18.
"

Comment 5 Josh Cogliati 2016-03-30 13:54:55 UTC
With:
uname -a
Linux inl426935 4.4.6-300.fc23.x86_64 #1 SMP Wed Mar 16 22:10:37 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

The magic command that restores sound is:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

(And I tried rebooting and only setting that one to check and see if it was a combination or just node 0x10.)

Thanks for the tip.  Tell me if you need more information or need me to check a new kernel version or other new software.

Comment 6 Josh Cogliati 2016-04-22 13:03:02 UTC
I still need to use:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
to get the headphones to work on 4.4.7-300.fc23.x86_64

Comment 7 Josh Cogliati 2016-05-17 13:27:06 UTC
I still need to use:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
to get the headphone jack to work on 4.4.9-300.fc23.x86_64

Comment 8 Laura Abbott 2016-05-18 17:46:30 UTC
Sorry for the delay, this got lost in my e-mail. Can you verify the problem still exists on the 4.5 kernel available for testing?

Comment 9 Josh Cogliati 2016-05-19 18:35:40 UTC
In 4.5.4-200.fc23.x86_64  
I still need to use:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

Comment 10 Laura Abbott 2016-05-23 22:27:29 UTC
Can you test the 4.5.5 kernel at http://koji.fedoraproject.org/koji/buildinfo?buildID=767063 ? The ALSA maintainer mentioned there were a couple of fixes that might be related

Comment 11 Josh Cogliati 2016-05-24 13:43:14 UTC
Sorry, with 4.5.5-300.fc24.x86_64 I still need to run:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

Comment 12 Laura Abbott 2016-05-26 19:28:37 UTC
Looks like the information you gave was when the headphone was unplugged. Can you give alsa-info when the headphone is plugged in on the non-working 4.5.5 kernel?

Comment 13 Josh Cogliati 2016-05-27 01:29:42 UTC
Actually, that information was when the headphones were plugged in, but the detection is incorrect.  (Linux thinks the headphones are unplugged, when they are actually plugged in.)

Comment 14 Josh Cogliati 2016-06-03 13:31:15 UTC
Created attachment 1164512 [details]
Alsa with headphones unplugged

Comment 15 Josh Cogliati 2016-06-03 13:32:40 UTC
Created attachment 1164513 [details]
Alsa with headphones plugged in

I attached two alsa-info's, one with the headphones unplugged, and one with them plugged in.  I diffed them, and there is no difference in what them other than the timestamp.

Comment 16 Laura Abbott 2016-06-08 21:58:59 UTC
From the maintainer

"It implies that the pin setup mismatches with the actual hardware.
You need to figure out which pin corresponds to the actual I/O by
yourself, e.g. via hdajackretask or other tool.

The apparent regression just revealed the already buggy setup."

I don't know much about this tool works unfortunately. From what I can tell you may need to change the pin that corresponds to the headphones in the application. hdajackretask is found in the alsa-tools package.

Comment 17 Laura Abbott 2016-09-23 19:22:41 UTC
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.

Comment 18 Josh Cogliati 2016-10-04 13:27:58 UTC
On:
uname -srv
Linux 4.7.5-100.fc23.x86_64 #1 SMP Mon Sep 26 19:29:03 UTC 2016
I still need to use:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
in order to get sound out of the headphones.

Comment 19 Fedora End Of Life 2016-11-24 15:59:21 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Josh Cogliati 2016-11-29 19:26:01 UTC
Still in:
$ uname -r
4.8.8-200.fc24.x86_64

I need to use:
$ pacmd set-sink-mute alsa_output.pci-0000_00_1b.0.analog-stereo no
and
# hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
to get headphones to work.

I have no idea how to use:
hdajackretask

Comment 21 Josh Cogliati 2016-12-01 14:31:30 UTC
Still in:
uname -r
4.8.10-300.fc25.x86_64


I do wonder why:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
is not automatically done like it was in 4.3.5.  

hdajackretask is a gui application with far to many options to realistically be able to try each them and see what works (as in there are 17 pins with 8 options each, and each option has something like 4-20 choices).

Comment 22 Josh Cogliati 2017-02-16 14:28:51 UTC
Still in uname -r -v
4.9.9-200.fc25.x86_64 #1 SMP Thu Feb 9 17:28:13 UTC 2017

In order to get sound from the headphones I need to use:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

and
pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no
pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones

Comment 23 Justin M. Forbes 2017-04-11 14:34:33 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 25 kernel bugs.

Fedora 25 has now been rebased to 4.10.9-200.fc25.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 26, and are still experiencing this issue, please change the version to Fedora 26.

If you experience different issues, please open a new bug report for those.

Comment 24 Justin M. Forbes 2017-04-28 17:06:03 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the 
relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 25 Josh Cogliati 2017-05-01 13:24:13 UTC
Still in:
uname -r -v
4.10.11-200.fc25.x86_64 #1 SMP Tue Apr 18 17:25:01 UTC 2017

I use (as root):
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

and (as user):

pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no
pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones

to get it to work.

Comment 26 Josh Cogliati 2017-09-14 14:19:06 UTC
Still in:
uname -r -v
4.12.11-300.fc26.x86_64 #1 SMP Thu Sep 7 18:32:12 UTC 2017

Still need to do:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

Comment 27 Josh Cogliati 2017-12-19 19:23:12 UTC
uname -r -v
4.14.5-200.fc26.x86_64 #1 SMP Mon Dec 11 16:29:08 UTC 2017

Recently, this bug has gotten more annoying.  Now, if the sound to the speakers stops, the power is shut off.  

So if I stop listening to music, and then start again, I have to run:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
as root again.

Comment 28 Josh Cogliati 2018-01-11 00:13:38 UTC
Still in:

uname -r -v
4.14.11-300.fc27.x86_64 #1 SMP Wed Jan 3 13:52:28 UTC 2018

On the plus side, power in no longer shut off if the sound is temporarily turned off.

Comment 29 Laura Abbott 2018-02-20 19:50:39 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 30 Josh Cogliati 2018-02-28 15:16:29 UTC
Still in:

uname -r -v
4.15.4-300.fc27.x86_64 #1 SMP Mon Feb 19 23:31:15 UTC 2018



Still need to:
As root:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
As user:
pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no
pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones


Is there a command line equivalent to?:
hdajackretask
Trying several hundred combinations from a GUI is not reasonable, but if there was a command line tool I could run combinations with, I would be willing to try that.

Comment 31 Justin M. Forbes 2018-07-23 14:58:55 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.

Fedora 27 has now been rebased to 4.17.7-100.fc27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 28, and are still experiencing this issue, please change the version to Fedora 28.

If you experience different issues, please open a new bug report for those.

Comment 32 Josh Cogliati 2018-07-24 14:54:05 UTC
Still in:
uname -r -v
4.17.7-200.fc28.x86_64 #1 SMP Tue Jul 17 16:28:31 UTC 2018

Actually, it is worse, since now it automatically turns off the headphones if they are inactive, so 
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00
needs to be run multiple times.

Comment 33 Josh Cogliati 2018-09-07 14:20:28 UTC
Still in:
uname -r -v
4.17.19-200.fc28.x86_64 #1 SMP Fri Aug 24 15:47:41 UTC 2018

To get headphones to work (the while is a new addition because it now automatically shuts off the sound if there is ever a break from playing):
As root:
while hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00; do sleep 10; done &

As user:
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones
pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no
pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no

Comment 34 Josh Cogliati 2019-01-23 15:13:43 UTC
Still in:
uname -r -v
4.19.15-300.fc29.x86_64 #1 SMP Mon Jan 14 16:32:35 UTC 2019


To get headphones to work:
As root:
while hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00; do sleep 10; done &

As user:
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones
pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no
pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no

Comment 35 Josh Cogliati 2019-07-01 13:54:02 UTC
Still in:
uname -r -v
5.1.12-300.fc30.x86_64 #1 SMP Wed Jun 19 15:19:49 UTC 20

To get headphones to work:
As root:
while hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00; do sleep 10; done &

As user:
pactl set-sink-port alsa_output.pci-0000_00_1b.0.analog-stereo analog-output-headphones

pacmd suspend-sink alsa_output.pci-0000_00_1b.0.analog-stereo no

pacmd suspend-source alsa_input.pci-0000_00_1b.0.analog-stereo no

Comment 36 Justin M. Forbes 2019-08-20 17:34:42 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.2.9-200.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 37 Josh Cogliati 2019-08-23 13:38:30 UTC
uname -srv
Linux 5.2.9-200.fc30.x86_64 #1 SMP Fri Aug 16 21:37:45 UTC 2019

Still need as root:
hda-verb /dev/snd/hwC0D0 0x10 SET_POWER 0x00

Comment 38 Justin M. Forbes 2020-03-03 16:25:17 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 30 kernel bugs.

Fedora 30 has now been rebased to 5.5.7-100.fc30.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 31, and are still experiencing this issue, please change the version to Fedora 31.

If you experience different issues, please open a new bug report for those.

Comment 39 Josh Cogliati 2020-03-06 15:20:10 UTC
Still in
uname -srv
Linux 5.5.7-200.fc31.x86_64 #1 SMP Fri Feb 28 17:18:37 UTC 2020

Comment 40 mlaverdiere 2020-03-24 12:07:50 UTC
I do have the same problem on Fedora 31 on a Dell XPS 13 9370, i.e. headphones connection detected, but no sound, while sound works fine with the speakers.

Here's my kernel:

uname -srv
Linux 5.5.10-200.fc31.x86_64 

May also be linked to this report: https://bugzilla.redhat.com/show_bug.cgi?id=1776017

Comment 41 aurelien 2020-04-02 21:56:33 UTC
same for me as mlaverdiere just after upgrade from 30 to 31

no headphone anymore on alsamixer

name -srv
Linux 5.5.13-200.fc31.x86_64 #1 SMP Wed Mar 25 21:55:30 UTC 2020

Comment 42 Ben Cotton 2020-04-30 20:16:34 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 43 Ben Cotton 2020-05-26 18:35:20 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 44 Josh Cogliati 2020-05-27 01:41:01 UTC
Still in Fedora 31.

Comment 45 chetan 2020-05-31 15:00:00 UTC
I am using fedora 32 fresh install. I am facing same issue with my headphone jack.
After installing pavucontrol I am able to set output device as headphones (even it is showing unplugged).
After doing setting in pavucontrol the sound comes from headphone, but still in sound settings, the headphone is not listed in output.

Is anything I can do to help resolve this issue?

Comment 46 strasharo2000 2020-07-26 16:00:31 UTC
Same here on Fedora 32 running on Dell Precision 5510. Issue appeared since I upgraded to 32.
Tried everything, even when setting the output to headphones the volume bars were jumping like there should be sound, but there was none.
The only thing which solved it for me is "alsactl restore", then the sound appeared instantly.

Comment 47 Gianluca Merlo 2020-07-28 13:35:10 UTC
I'd like to report a similar issue in Fedora 32 on a Dell XPS 13 9300. In my case, headphones worked perfectly until 2020-07-26 approximately. I do generally apply updates daily, so I guessed some update in those days could be the culprit. Frequently, I hear loud popping noises instead of sounds, which also makes me think of some power issue. "alsactl restore" fixes the problem for me too, but I just tested it, so cannot confirm if it is permanent.

Comment 48 strasharo2000 2020-08-03 11:36:55 UTC
At least for me it was permanent, a week passed already and I haven't observed the issue yet.

Comment 49 chetan 2020-08-28 17:33:23 UTC
In my system also after plugging headphones, the sound does not come from it. The headphones are not shown as output device in Sound settings.
In pulse audio volumn control app the headphone is shown as unplugged in output devices. But selecting headphone manually gives the sound output in headphone.
I also tried removing alsa-plugins-pulseaudio package and then also it did not solve problem.
My system information:
OS: Fedora 31 (fresh install)
Machine: Dell Inspiron 15r laptop 2013 model
Kernel: 5.7.17-200
pulseaudio version: 13.99.1-4

I am copying alsa-info.txt content here as I can't find attachment option.

upload=true&script=true&cardinfo=
!!################################
!!ALSA Information Script v 0.4.65
!!################################

!!Script ran on: Fri Aug 28 17:24:05 UTC 2020


!!Linux Distribution
!!------------------

Fedora release 32 (Thirty Two) NAME=Fedora ID=fedora PRETTY_NAME="Fedora 32 (Workstation Edition)" LOGO=fedora-logo-icon CPE_NAME="cpe:/o:fedoraproject:fedora:32" HOME_URL="https://fedoraproject.org/" DOCUMENTATION_URL="https://docs.fedoraproject.org/en-US/fedora/f32/system-administrators-guide/" SUPPORT_URL="https://fedoraproject.org/wiki/Communicating_and_getting_help" BUG_REPORT_URL="https://bugzilla.redhat.com/" REDHAT_BUGZILLA_PRODUCT="Fedora" REDHAT_BUGZILLA_PRODUCT_VERSION=32 REDHAT_SUPPORT_PRODUCT="Fedora" REDHAT_SUPPORT_PRODUCT_VERSION=32 PRIVACY_POLICY_URL="https://fedoraproject.org/wiki/Legal:PrivacyPolicy" Fedora release 32 (Thirty Two) Fedora release 32 (Thirty Two)


!!DMI Information
!!---------------

Manufacturer:      Dell Inc.
Product Name:      Inspiron 5521
Product Version:   A14
Firmware Version:  A14
Board Vendor:      Dell Inc.
Board Name:        0803FX


!!ACPI Device Status Information
!!---------------

/sys/bus/acpi/devices/DLL059A:00/status 	 15
/sys/bus/acpi/devices/DLLK059A:00/status 	 15
/sys/bus/acpi/devices/INT340E:00/status 	 15
/sys/bus/acpi/devices/INT3F0D:00/status 	 15
/sys/bus/acpi/devices/PNP0103:00/status 	 15
/sys/bus/acpi/devices/PNP0C01:00/status 	 15
/sys/bus/acpi/devices/PNP0C0A:00/status 	 31
/sys/bus/acpi/devices/PNP0C0F:00/status 	 9
/sys/bus/acpi/devices/PNP0C0F:01/status 	 9
/sys/bus/acpi/devices/PNP0C0F:02/status 	 9
/sys/bus/acpi/devices/PNP0C0F:03/status 	 9
/sys/bus/acpi/devices/PNP0C0F:04/status 	 9
/sys/bus/acpi/devices/PNP0C0F:05/status 	 9
/sys/bus/acpi/devices/PNP0C0F:06/status 	 9
/sys/bus/acpi/devices/PNP0C0F:07/status 	 9


!!Kernel Information
!!------------------

Kernel release:    5.7.17-200.fc32.x86_64
Operating System:  GNU/Linux
Architecture:      x86_64
Processor:         x86_64
SMP Enabled:       Yes


!!ALSA Version
!!------------

Driver version:     k5.7.17-200.fc32.x86_64
Library version:    
Utilities version:  1.2.3


!!Loaded ALSA modules
!!-------------------

snd_hda_intel


!!Sound Servers on this system
!!----------------------------

Pulseaudio:
      Installed - Yes (/usr/bin/pulseaudio)
      Running - Yes

Jack:
      Installed - Yes (/usr/bin/jackd)
      Running - No


!!Soundcards recognised by ALSA
!!-----------------------------

 0 [PCH            ]: HDA-Intel - HDA Intel PCH
                      HDA Intel PCH at 0xc1610000 irq 36


!!PCI Soundcards installed in the system
!!--------------------------------------

00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C216 Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
	Subsystem: Dell Device [1028:05b8]


!!Loaded sound module options
!!---------------------------

!!Module: snd_hda_intel
	align_buffer_size : -1
	bdl_pos_adj : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	beep_mode : N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N,N
	dmic_detect : Y
	enable : Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y,Y
	enable_msi : -1
	id : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	index : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	jackpoll_ms : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	model : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	patch : (null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null),(null)
	pm_blacklist : Y
	position_fix : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	power_save : 1
	power_save_controller : Y
	probe_mask : -1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1
	probe_only : 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0
	single_cmd : -1
	snoop : -1


!!HDA-Intel Codec information
!!---------------------------
--startcollapse--

Codec: Realtek ALC3221
Address: 0
AFG Function Id: 0x1 (unsol 1)
Vendor Id: 0x10ec0282
Subsystem Id: 0x102805b8
Revision Id: 0x100003
No Modem Function Group found
Default PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
State of AFG node 0x01:
  Power states:  D0 D1 D2 D3 CLKSTOP EPSS
  Power: setting=D0, actual=D0
GPIO: io=3, o=0, i=0, unsolicited=1, wake=0
  IO[0]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[1]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
  IO[2]: enable=0, dir=0, wake=0, sticky=0, data=0, unsol=0
Node 0x02 [Audio Output] wcaps 0x41d: Stereo Amp-Out
  Control: name="Speaker Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x50 0x38]
  Converter: stream=5, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x41d: Stereo Amp-Out
  Control: name="Headphone Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Device: name="ALC3221 Analog", type="Audio", device=0
  Amp-Out caps: ofs=0x57, nsteps=0x57, stepsize=0x02, mute=0
  Amp-Out vals:  [0x00 0x00]
  Converter: stream=5, channel=0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x04 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x05 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x06 [Audio Output] wcaps 0x611: Stereo Digital
  Converter: stream=0, channel=0
  Digital:
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x5e0]: 44100 48000 88200 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x07 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x08 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Control: name="Capture Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Control: name="Capture Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Device: name="ALC3221 Analog", type="Audio", device=0
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0x27 0x27]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x23
Node 0x09 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0x97 0x97]
  Converter: stream=0, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x22
Node 0x0a [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0b [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Control: name="Mic Playback Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Control: name="Mic Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=1, ofs=0
  Amp-In caps: ofs=0x17, nsteps=0x1f, stepsize=0x05, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 5
     0x18 0x19 0x1a 0x1b 0x1d
Node 0x0c [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x80 0x80]
  Connection: 2
     0x02 0x0b
Node 0x0d [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00] [0x80 0x80]
  Connection: 2
     0x03 0x0b
Node 0x0e [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x0f [Audio Mixer] wcaps 0x20010a: Mono Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x00 0x00]
  Connection: 1
     0x0d
Node 0x10 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x11 [Audio Input] wcaps 0x10051b: Stereo Amp-In
  Amp-In caps: ofs=0x17, nsteps=0x3f, stepsize=0x02, mute=1
  Amp-In vals:  [0x27 0x27]
  Converter: stream=1, channel=0
  SDI-Select: 0
  PCM:
    rates [0x560]: 44100 48000 96000 192000
    bits [0xe]: 16 20 24
    formats [0x1]: PCM
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x12
Node 0x12 [Pin Complex] wcaps 0x40040b: Stereo Amp-In
  Control: name="Internal Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00000020: IN
  Pin Default 0x90a60140: [Fixed] Mic at Int N/A
    Conn = Digital, Color = Unknown
    DefAssociation = 0x4, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x13 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x14 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Speaker Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x00010014: OUT EAPD Detect
  EAPD 0x2: EAPD
  Pin Default 0x90170110: [Fixed] Speaker at Int N/A
    Conn = Analog, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x0c
Node 0x15 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x16 [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x17 [Pin Complex] wcaps 0x40050c: Mono Amp-Out
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80]
  Pincap 0x00000010: OUT
  Pin Default 0x40020008: [N/A] Line Out at Ext N/A
    Conn = 1/4, Color = Unknown
    DefAssociation = 0x0, Sequence = 0x8
  Pin-ctls: 0x00:
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x0f
Node 0x18 [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x19 [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Control: name="Mic Boost Volume", index=0, device=0
    ControlAmp: chs=3, dir=In, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x02a11030: [Jack] Mic at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x3, Sequence = 0x0
  Pin-ctls: 0x24: IN VREF_80
  Unsolicited: tag=02, enabled=1
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1a [Pin Complex] wcaps 0x40048b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Pincap 0x00003724: IN Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1b [Pin Complex] wcaps 0x40058f: Stereo Amp-In Amp-Out
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x2f, mute=0
  Amp-In vals:  [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000373c: IN OUT HP Detect
    Vref caps: HIZ 50 GRD 80 100
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x20: IN VREF_HIZ
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 2
     0x0c* 0x0d
Node 0x1c [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x1d [Pin Complex] wcaps 0x400400: Mono
  Pincap 0x00000020: IN
  Pin Default 0x40e00001: [N/A] Reserved at Ext N/A
    Conn = Unknown, Color = Unknown
    DefAssociation = 0x0, Sequence = 0x1
  Pin-ctls: 0x20: IN
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x1e [Pin Complex] wcaps 0x400781: Stereo Digital
  Pincap 0x00000014: OUT Detect
  Pin Default 0x411111f0: [N/A] Speaker at Ext Rear
    Conn = 1/8, Color = Black
    DefAssociation = 0xf, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x06
Node 0x1f [Vendor Defined Widget] wcaps 0xf00000: Mono
Node 0x20 [Vendor Defined Widget] wcaps 0xf00040: Mono
  Processing caps: benign=0, ncoeff=117
Node 0x21 [Pin Complex] wcaps 0x40058d: Stereo Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x80 0x80]
  Pincap 0x0000001c: OUT HP Detect
  Pin Default 0x02211020: [Jack] HP Out at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=01, enabled=1
  Power states:  D0 D1 D2 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 2
     0x0c 0x0d*
Node 0x22 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x0b
Node 0x23 [Audio Mixer] wcaps 0x20010b: Stereo Amp-In
  Amp-In caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-In vals:  [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80] [0x80 0x80]
  Connection: 6
     0x18 0x19 0x1a 0x1b 0x1d 0x0b
Codec: Intel PantherPoint HDMI
Address: 3
AFG Function Id: 0x1 (unsol 0)
Vendor Id: 0x80862806
Subsystem Id: 0x80860101
Revision Id: 0x100000
No Modem Function Group found
Default PCM:
    rates [0x0]:
    bits [0x0]:
    formats [0x0]:
Default Amp-In caps: N/A
Default Amp-Out caps: N/A
State of AFG node 0x01:
  Power states:  D0 D3 CLKSTOP EPSS
  Power: setting=D0, actual=D0, Clock-stop-OK
GPIO: io=0, o=0, i=0, unsolicited=0, wake=0
Node 0x02 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x03 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x04 [Audio Output] wcaps 0x6611: 8-Channels Digital
  Converter: stream=0, channel=0
  Digital: Enabled
  Digital category: 0x0
  IEC Coding Type: 0x0
  PCM:
    rates [0x7f0]: 32000 44100 48000 88200 96000 176400 192000
    bits [0x1e]: 16 20 24 32
    formats [0x5]: PCM AC3
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
Node 0x05 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Control: name="IEC958 Playback Con Mask", index=0, device=0
  Control: name="IEC958 Playback Pro Mask", index=0, device=0
  Control: name="IEC958 Playback Default", index=0, device=0
  Control: name="IEC958 Playback Switch", index=0, device=0
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x00]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x18560010: [Jack] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x1, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x02
Node 0x06 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x80]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x58560020: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x2, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x03
Node 0x07 [Pin Complex] wcaps 0x40778d: 8-Channels Digital Amp-Out CP
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals:  [0x00 0x80]
  Pincap 0x09000094: OUT Detect HBR HDMI DP
  Pin Default 0x58560030: [N/A] Digital Out at Int HDMI
    Conn = Digital, Color = Unknown
    DefAssociation = 0x3, Sequence = 0x0
  Pin-ctls: 0x40: OUT
  Unsolicited: tag=00, enabled=0
  Power states:  D0 D3 EPSS
  Power: setting=D0, actual=D0
  Connection: 1
     0x04
Node 0x08 [Vendor Defined Widget] wcaps 0xf00000: Mono
--endcollapse--


!!ALSA Device nodes
!!-----------------

crw-rw----+ 1 root audio 116,  7 Aug 28 22:14 /dev/snd/controlC0
crw-rw----+ 1 root audio 116,  5 Aug 28 22:14 /dev/snd/hwC0D0
crw-rw----+ 1 root audio 116,  6 Aug 28 22:14 /dev/snd/hwC0D3
crw-rw----+ 1 root audio 116,  3 Aug 28 22:52 /dev/snd/pcmC0D0c
crw-rw----+ 1 root audio 116,  2 Aug 28 22:52 /dev/snd/pcmC0D0p
crw-rw----+ 1 root audio 116,  4 Aug 28 22:37 /dev/snd/pcmC0D3p
crw-rw----+ 1 root audio 116,  1 Aug 28 22:14 /dev/snd/seq
crw-rw----+ 1 root audio 116, 33 Aug 28 22:14 /dev/snd/timer

/dev/snd/by-path:
total 0
drwxr-xr-x. 2 root root  60 Aug 28 22:14 .
drwxr-xr-x. 3 root root 220 Aug 28 22:14 ..
lrwxrwxrwx. 1 root root  12 Aug 28 22:14 pci-0000:00:1b.0 -> ../controlC0


!!ALSA configuration files
!!------------------------

!!System wide config file (/etc/asound.conf)

#
# Place your global alsa-lib configuration here...
#


!!Aplay/Arecord output
!!--------------------

APLAY

**** List of PLAYBACK Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3221 Analog [ALC3221 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0
card 0: PCH [HDA Intel PCH], device 3: HDMI 0 [HDMI 0]
  Subdevices: 1/1
  Subdevice #0: subdevice #0

ARECORD

**** List of CAPTURE Hardware Devices ****
card 0: PCH [HDA Intel PCH], device 0: ALC3221 Analog [ALC3221 Analog]
  Subdevices: 0/1
  Subdevice #0: subdevice #0

!!Amixer output
!!-------------

!!-------Mixer controls for card PCH

Card hw:0 'PCH'/'HDA Intel PCH at 0xc1610000 irq 36'
  Mixer name	: 'Realtek ALC3221'
  Components	: 'HDA:10ec0282,102805b8,00100003 HDA:80862806,80860101,00100000'
  Controls      : 28
  Simple ctrls  : 11
Simple mixer control 'Master',0
  Capabilities: pvolume pvolume-joined pswitch pswitch-joined
  Playback channels: Mono
  Limits: Playback 0 - 87
  Mono: Playback 80 [92%] [-5.25dB] [on]
Simple mixer control 'Headphone',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 87
  Mono:
  Front Left: Playback 0 [0%] [-65.25dB] [off]
  Front Right: Playback 0 [0%] [-65.25dB] [off]
Simple mixer control 'Speaker',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 87
  Mono:
  Front Left: Playback 87 [100%] [0.00dB] [on]
  Front Right: Playback 63 [72%] [-18.00dB] [on]
Simple mixer control 'PCM',0
  Capabilities: pvolume
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 255
  Mono:
  Front Left: Playback 255 [100%] [0.00dB]
  Front Right: Playback 255 [100%] [0.00dB]
Simple mixer control 'Mic',0
  Capabilities: pvolume pswitch
  Playback channels: Front Left - Front Right
  Limits: Playback 0 - 31
  Mono:
  Front Left: Playback 0 [0%] [-34.50dB] [off]
  Front Right: Playback 0 [0%] [-34.50dB] [off]
Simple mixer control 'Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%] [0.00dB]
  Front Right: 0 [0%] [0.00dB]
Simple mixer control 'IEC958',0
  Capabilities: pswitch pswitch-joined
  Playback channels: Mono
  Mono: Playback [off]
Simple mixer control 'Capture',0
  Capabilities: cvolume cswitch
  Capture channels: Front Left - Front Right
  Limits: Capture 0 - 63
  Front Left: Capture 39 [62%] [12.00dB] [on]
  Front Right: Capture 39 [62%] [12.00dB] [on]
Simple mixer control 'Auto-Mute Mode',0
  Capabilities: enum
  Items: 'Disabled' 'Enabled'
  Item0: 'Enabled'
Simple mixer control 'Internal Mic Boost',0
  Capabilities: volume
  Playback channels: Front Left - Front Right
  Capture channels: Front Left - Front Right
  Limits: 0 - 3
  Front Left: 0 [0%] [0.00dB]
  Front Right: 0 [0%] [0.00dB]
Simple mixer control 'Loopback Mixing',0
  Capabilities: enum
  Items: 'Disabled' 'Enabled'
  Item0: 'Disabled'


!!Alsactl output
!!--------------

--startcollapse--
state.PCH {
	control.1 {
		iface MIXER
		name 'Headphone Playback Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 -6525
			dbvalue.1 -6525
		}
	}
	control.2 {
		iface MIXER
		name 'Headphone Playback Switch'
		value.0 false
		value.1 false
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.3 {
		iface MIXER
		name 'Speaker Playback Volume'
		value.0 87
		value.1 63
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 0
			dbvalue.1 -1800
		}
	}
	control.4 {
		iface MIXER
		name 'Speaker Playback Switch'
		value.0 true
		value.1 true
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.5 {
		iface MIXER
		name 'Loopback Mixing'
		value Disabled
		comment {
			access 'read write'
			type ENUMERATED
			count 1
			item.0 Disabled
			item.1 Enabled
		}
	}
	control.6 {
		iface MIXER
		name 'Mic Playback Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 31'
			dbmin -3450
			dbmax 1200
			dbvalue.0 -3450
			dbvalue.1 -3450
		}
	}
	control.7 {
		iface MIXER
		name 'Mic Playback Switch'
		value.0 false
		value.1 false
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.8 {
		iface MIXER
		name 'Auto-Mute Mode'
		value Enabled
		comment {
			access 'read write'
			type ENUMERATED
			count 1
			item.0 Disabled
			item.1 Enabled
		}
	}
	control.9 {
		iface MIXER
		name 'Capture Volume'
		value.0 39
		value.1 39
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 63'
			dbmin -1725
			dbmax 3000
			dbvalue.0 1200
			dbvalue.1 1200
		}
	}
	control.10 {
		iface MIXER
		name 'Capture Switch'
		value.0 true
		value.1 true
		comment {
			access 'read write'
			type BOOLEAN
			count 2
		}
	}
	control.11 {
		iface MIXER
		name 'Mic Boost Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 3'
			dbmin 0
			dbmax 3600
			dbvalue.0 0
			dbvalue.1 0
		}
	}
	control.12 {
		iface MIXER
		name 'Internal Mic Boost Volume'
		value.0 0
		value.1 0
		comment {
			access 'read write'
			type INTEGER
			count 2
			range '0 - 3'
			dbmin 0
			dbmax 3600
			dbvalue.0 0
			dbvalue.1 0
		}
	}
	control.13 {
		iface MIXER
		name 'Master Playback Volume'
		value 80
		comment {
			access 'read write'
			type INTEGER
			count 1
			range '0 - 87'
			dbmin -6525
			dbmax 0
			dbvalue.0 -525
		}
	}
	control.14 {
		iface MIXER
		name 'Master Playback Switch'
		value true
		comment {
			access 'read write'
			type BOOLEAN
			count 1
		}
	}
	control.15 {
		iface CARD
		name 'Mic Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.16 {
		iface CARD
		name 'Internal Mic Phantom Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.17 {
		iface CARD
		name 'Front Headphone Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.18 {
		iface CARD
		name 'Speaker Phantom Jack'
		value true
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.19 {
		iface PCM
		name 'Playback Channel Map'
		value.0 3
		value.1 4
		comment {
			access read
			type INTEGER
			count 2
			range '0 - 36'
		}
	}
	control.20 {
		iface PCM
		name 'Capture Channel Map'
		value.0 3
		value.1 4
		comment {
			access read
			type INTEGER
			count 2
			range '0 - 36'
		}
	}
	control.21 {
		iface CARD
		name 'HDMI/DP,pcm=3 Jack'
		value false
		comment {
			access read
			type BOOLEAN
			count 1
		}
	}
	control.22 {
		iface MIXER
		name 'IEC958 Playback Con Mask'
		value '0fff000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access read
			type IEC958
			count 1
		}
	}
	control.23 {
		iface MIXER
		name 'IEC958 Playback Pro Mask'
		value '0f00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access read
			type IEC958
			count 1
		}
	}
	control.24 {
		iface MIXER
		name 'IEC958 Playback Default'
		value '0400000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000'
		comment {
			access 'read write'
			type IEC958
			count 1
		}
	}
	control.25 {
		iface MIXER
		name 'IEC958 Playback Switch'
		value false
		comment {
			access 'read write'
			type BOOLEAN
			count 1
		}
	}
	control.26 {
		iface PCM
		device 3
		name ELD
		value ''
		comment {
			access 'read volatile'
			type BYTES
			count 0
		}
	}
	control.27 {
		iface PCM
		device 3
		name 'Playback Channel Map'
		value.0 0
		value.1 0
		value.2 0
		value.3 0
		value.4 0
		value.5 0
		value.6 0
		value.7 0
		comment {
			access 'read write'
			type INTEGER
			count 8
			range '0 - 36'
		}
	}
	control.28 {
		iface MIXER
		name 'PCM Playback Volume'
		value.0 255
		value.1 255
		comment {
			access 'read write user'
			type INTEGER
			count 2
			range '0 - 255'
			tlv '0000000100000008ffffec1400000014'
			dbmin -5100
			dbmax 0
			dbvalue.0 0
			dbvalue.1 0
		}
	}
}
--endcollapse--


!!All Loaded Modules
!!------------------

amd_iommu_v2
amdgpu
bluetooth
bnep
bridge
btbcm
btintel
btrtl
btusb
ccm
cec
cfg80211
cmac
coretemp
crc32_pclmul
crc32c_intel
crct10dif_pclmul
dcdbas
dell_laptop
dell_smbios
dell_smm_hwmon
dell_wmi
dell_wmi_descriptor
dm_crypt
drm
drm_kms_helper
ebtable_broute
ebtable_filter
ebtable_nat
ebtables
ecc
ecdh_generic
fat
fuse
ghash_clmulni_intel
gpu_sched
hid_logitech_dj
hid_logitech_hidpp
i2c_algo_bit
i2c_i801
i915
iTCO_vendor_support
iTCO_wdt
intel_cstate
intel_powerclamp
intel_rapl_common
intel_rapl_msr
intel_uncore
ip6_tables
ip6table_filter
ip6table_mangle
ip6table_nat
ip6table_raw
ip6table_security
ip_set
ip_tables
ipt_REJECT
iptable_filter
iptable_mangle
iptable_nat
iptable_raw
iptable_security
irqbypass
iwldvm
iwlwifi
jc42
joydev
kvm
kvm_intel
ledtrig_audio
libarc4
libcrc32c
llc
lpc_ich
mac80211
mc
mei
mei_me
memstick
mmc_core
nf_conntrack
nf_conntrack_broadcast
nf_conntrack_netbios_ns
nf_conntrack_tftp
nf_defrag_ipv4
nf_defrag_ipv6
nf_nat
nf_nat_tftp
nf_reject_ipv4
nf_reject_ipv6
nf_tables
nfnetlink
nft_chain_nat
nft_ct
nft_fib
nft_fib_inet
nft_fib_ipv4
nft_fib_ipv6
nft_objref
nft_reject
nft_reject_inet
pcspkr
r8169
radeon
rapl
rfcomm
rfkill
rtsx_usb
rtsx_usb_ms
rtsx_usb_sdmmc
serio_raw
snd
snd_hda_codec
snd_hda_codec_generic
snd_hda_codec_hdmi
snd_hda_codec_realtek
snd_hda_core
snd_hda_intel
snd_hwdep
snd_intel_dspcfg
snd_pcm
snd_seq
snd_seq_device
snd_timer
soundcore
sparse_keymap
stp
sunrpc
ttm
tun
uinput
uvcvideo
vfat
video
videobuf2_common
videobuf2_memops
videobuf2_v4l2
videobuf2_vmalloc
videodev
wmi
wmi_bmof
x86_pkg_temp_thermal
xt_CHECKSUM
xt_MASQUERADE
xt_conntrack


!!Sysfs Files
!!-----------

/sys/class/sound/hwC0D0/init_pin_configs:
0x12 0x90a60140
0x14 0x90170110
0x17 0x40020008
0x18 0x411111f0
0x19 0x02a11030
0x1a 0x411111f0
0x1b 0x411111f0
0x1d 0x40e00001
0x1e 0x411111f0
0x21 0x02211020

/sys/class/sound/hwC0D0/driver_pin_configs:

/sys/class/sound/hwC0D0/user_pin_configs:

/sys/class/sound/hwC0D0/init_verbs:

/sys/class/sound/hwC0D0/hints:

/sys/class/sound/hwC0D3/init_pin_configs:
0x05 0x18560010
0x06 0x58560020
0x07 0x58560030

/sys/class/sound/hwC0D3/driver_pin_configs:

/sys/class/sound/hwC0D3/user_pin_configs:

/sys/class/sound/hwC0D3/init_verbs:

/sys/class/sound/hwC0D3/hints:


!!ALSA/HDA dmesg
!!--------------

[    0.458365] ACPI: Added _OSI(Linux-Dell-Video)
[    0.458365] ACPI: Added _OSI(Linux-Lenovo-NV-HDMI-Audio)
[    0.458365] ACPI: Added _OSI(Linux-HPI-Hybrid-Graphics)
--
[   19.978400] iwlwifi 0000:08:00.0: Direct firmware load for iwl-debug-yoyo.bin failed with error -2
[   19.983159] snd_hda_intel 0000:00:1b.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
[   20.014465] [drm] ring test on 5 succeeded in 1 usecs
--
[   20.014631] [drm] ib test on ring 4 succeeded in 0 usecs
[   20.024926] snd_hda_codec_realtek hdaudioC0D0: autoconfig for ALC3221: line_outs=1 (0x14/0x0/0x0/0x0/0x0) type:speaker
[   20.024928] snd_hda_codec_realtek hdaudioC0D0:    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[   20.024930] snd_hda_codec_realtek hdaudioC0D0:    hp_outs=1 (0x21/0x0/0x0/0x0/0x0)
[   20.024930] snd_hda_codec_realtek hdaudioC0D0:    mono: mono_out=0x0
[   20.024931] snd_hda_codec_realtek hdaudioC0D0:    inputs:
[   20.024933] snd_hda_codec_realtek hdaudioC0D0:      Mic=0x19
[   20.024934] snd_hda_codec_realtek hdaudioC0D0:      Internal Mic=0x12
[   20.076623] input: HDA Intel PCH Mic as /devices/pci0000:00/0000:00:1b.0/sound/card0/input30
[   20.076732] input: HDA Intel PCH Front Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input31
[   20.076822] input: HDA Intel PCH HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:1b.0/sound/card0/input32
[   20.130165] iwlwifi 0000:08:00.0: CONFIG_IWLWIFI_DEBUG enabled


!!Packages installed
!!--------------------

alsa-plugins-pulseaudio-1.2.2-1.fc32.x86_64
alsa-lib-1.2.3.2-1.fc32.x86_64
alsa-utils-1.2.3-4.fc32.x86_64

Comment 50 chetan 2020-08-28 17:35:07 UTC
Created attachment 1712990 [details]
Chetan Khilosiya alsa-info.txt

Comment 51 chetan 2020-08-28 17:45:38 UTC
One more observation is that when headphone is connected while rebooting the machine then it is detected and it is shown in sound output devices.
But after removing and plugging it again the headphones are not detected.

Comment 52 rgreg 2020-09-07 13:09:07 UTC
Same behaviour as described by chetan on my laptop running Fedora32 - Dell Precision M4800

Comment 53 Earl 2020-09-25 21:05:05 UTC
OS stock fedora 32 just downloaded / installed; 

machine=stock thinkpad t490 laptop ; 

problem=headphonejack not working; 

lspci: 00:1f.3 Audio device: Intel Corporation Cannon Point-LP High Definition Audio Controller (rev 30)

solutions from this thread results: 
1.`alsactl restore` 
result: audio started playing out of x1 of total of x2 speakers connected through the headphone jack output (second speaker works, just not on F32 yet..)
Settings -> sound: still don't see jack as output only single built-in speakers output. 
Note, laptop speakers also continued playing along with one external speaker after `alsactl restore` execution

2. `hda-verb /dev/snd/hwC0D0 0x05 SET_POWER 0x00`
hda-verb is not installed on base OS, installed with `dnf install alsa-tools`
result:
nothing changed, reboot, nothing changed.

Kind of an involved process to not get the headphone jack working in 5 years lol

Comment 54 Earl 2020-09-25 21:21:07 UTC
Update:
took coffee break
came back, laptop uptime about 15min after hda-verb + reboot
unplug headjack, plug it back in, audio works correctly out of x2 external speakers, no audio from laptop speaker anymore as expected, headphones built-in audio output showed up in sound settings. Cool! Weird how it didn't work onboot, but it works correctly now!


Note You need to log in before you can comment on or make changes to this bug.